Subject: [bug#61829] [PATCH 01/11] gnu: Purge pre-1.3.0 deprecated packages.

From: Simon Tournier <[email-masked]>
Date: Tue, 28 Feb 2023 13:52:54 +0100

Hi,

On lun., 27 févr. 2023 at 00:11, Bruno Victal <[email-masked]> wrote:

> * gnu/packages/bioinformatics.scm (deeptools): Remove variable.
> * gnu/packages/efi.scm (efi_analyzer): Ditto.
> * gnu/packages/guile.scm (guile-2.2/bug-fix, guile-json): Ditto.
> * gnu/packages/image.scm (libjpeg): Ditto.
> * gnu/packages/kde.scm (kdevplatform): Ditto
> * gnu/packages/linphone.scm (linphoneqt): Ditto.
> * gnu/packages/maths.scm (blis-sandybridge, blis-haswell, blis-knl): Ditto.
> * gnu/packages/mpi.scm (hwloc-2.0): Ditto.
> * gnu/packages/music.scm (python-abjad, zlfo): Ditto.
> * gnu/packages/perl.scm (perl-base, perl-parent): Ditto.
> * gnu/packages/tryton.scm (python-trytond): Ditto.
> * gnu/packages/video.scm (gnome-mpv): Ditto.
> * tests/graph.scm: Use guile-json-1.

[...]

> -(define-deprecated deeptools python-deeptools)
> -

Well, I do not use any of these packages, so I would not mind much.
But, I know some users who use this one for instance and I would like to
avoid them some breakage.

What is the rationale for removing this variable?  Or the others, BTW.

Well, I understand the “being deprecated” and I agree it would be nice
to clean up.  Thanks for this janitoring work. :-)

However, I would first announce such clean up, via guix-devel and/or
news, maybe info-guix, let some time, say one or two months, and after
proceed.

For what my opinion is worth.

Cheers,
simon